Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::TokenAttributeFactory Class Reference

Creates a TokenAttributeFactory returning `Token` as instance for the basic attributes and for all other attributes calls the given delegate factory. More...

`#include <Token.h>`

Inheritance diagram for Lucene::TokenAttributeFactory:

## Public Member Functions

| TokenAttributeFactory (const AttributeFactoryPtr &delegate)
virtual | ~TokenAttributeFactory ()
virtual String | getClassName ()
boost::shared_ptr< TokenAttributeFactory > | shared_from_this ()
virtual AttributePtr | createAttributeInstance (const String &className)
| returns an `Attribute`.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | hashCode ()
| Return hash code for this object.
Public Member Functions inherited from Lucene::AttributeFactory
virtual | ~AttributeFactory ()
boost::shared_ptr< AttributeFactory > | shared_from_this ()
template<class ATTR >
AttributePtr | createInstance (const String &className)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::AttributeFactory
static String | _getClassName ()
static AttributeFactoryPtr | DEFAULT_ATTRIBUTE_FACTORY ()
| This is the default factory that creates `Attribute`s using the class name of the supplied `Attribute` interface class by appending Impl to it.

## Protected Attributes

AttributeFactoryPtr | delegate
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::AttributeFactory
| AttributeFactory ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

Creates a TokenAttributeFactory returning `Token` as instance for the basic attributes and for all other attributes calls the given delegate factory.

## Constructor & Destructor Documentation

## ◆ TokenAttributeFactory()

Lucene::TokenAttributeFactory::TokenAttributeFactory | ( | const AttributeFactoryPtr & | delegate | ) |

## ◆ ~TokenAttributeFactory()

virtual Lucene::TokenAttributeFactory::~TokenAttributeFactory | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::TokenAttributeFactory::_getClassName | ( |  | ) |

inline static

## ◆ createAttributeInstance()

virtual AttributePtr Lucene::TokenAttributeFactory::createAttributeInstance | ( | const String & | className | ) |

virtual

returns an `Attribute`.

Reimplemented from Lucene::AttributeFactory.

## ◆ equals()

virtual bool Lucene::TokenAttributeFactory::equals | ( | const LuceneObjectPtr & | other | ) |

virtual

Return whether two objects are equal.

Reimplemented from Lucene::LuceneObject.

## ◆ getClassName()

virtual String Lucene::TokenAttributeFactory::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::AttributeFactory.

## ◆ hashCode()

virtual int32_t Lucene::TokenAttributeFactory::hashCode | ( |  | ) |

virtual

Return hash code for this object.

Reimplemented from Lucene::LuceneObject.

## ◆ shared_from_this()

boost::shared_ptr< TokenAttributeFactory > Lucene::TokenAttributeFactory::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ delegate

AttributeFactoryPtr Lucene::TokenAttributeFactory::delegate

protected

The documentation for this class was generated from the following file:

- Token.h

clucene.sourceforge.net